View all Alerts

This API provides you with information about alerts configured in your account. The API allows you to search for a specific alert using a search string. Alerts API allows searching a configured alert using regex as well.

Note: Making a request to the endpoint without any body parameters would give you details of all the configured alerts.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{}

API Response glossary

FieldDescriptionData Type
alertIdUnique identifier representing the alertString
customerIdUnique identifier representing the customerLong
alertTypeObject representing the meta data of the alert typeAlertTypeVO
alertTypeIdUnique identifier representing the type of the alertInt
nameName of the alert typeString
descriptionBrief description of the alert typeString
tableNameName of the table from DBString
batchMessageTemplateKeyFor Azuga Internal useString
messageTemplateKeyFor Azuga Internal useString
createdAtCreated time of alert type in UTC millisecondsTimestamp
deletedAtDeleted time of alert typeTimestamp
deletedBoolean value representing the alertType deletion(True=Deleted, False= Not Deleted)boolean
eventTypeIdUnique identifier representing the event typeInteger
propertyKeyFor Azuga Internal useString
alertSubjectKeyFor Azuga Internal useString
dataSourceFor Azuga Internal useString
messageTemplateFor Azuga Internal useString
packageIdFor Azuga Internal useint
ccEmail IDs configured in CC for the alertString
modeFrequency of the alert email.
1 - Indicates that the alert is triggered instantly
2 - Indicates that the alert is triggered as a summary alert.
Integer
messageTemplateFor Azuga Internal useString
alertNameName of the alertString
createdAtAlert creation time in UTC millisecondsTimestamp
createdByUnique identifier of the user who created the alertString
modifiedByUnique identifier of the user who updated the alert lastString
alertKeyValueMappingIdUnique identifier for mapping between the alert and the alertKey valueList<AlertKeyValueMappingVO>
alertIdUnique identifier representing the alertString
alertKeyProperty of the alertString
valueCorresponding value of the alertKeyString
formattedValueFor Azuga internal useString
alertToGroupMappingIdUnique identifier for mapping between the alert and the group.String
groupIdUnique identifier representing the groupString
customerIdCustomer Id of the groupLong
createdByThe unique identifier of the user who created the groupString
createdAtCreation time of the group in UTC milisecondsTimestamp
modifiedByThe unique identifier of the user who modified the group lastString
modifiedAtLast modified time of the group in UTC millisecondsTimestamp
deletedBoolean value representing the group deletion(True=Deleted, False= Not Deleted)boolean
deletedAtDeletion time of the groupTimestamp
groupNameName of the groupString
alertToUserIdMappingForMailIdUnique identifier representing the mapping between alert with the user for emailString
userIdUnique identifier representing the userString
createdByUnique identifier of the user who created the this userString
createdAtCreation time of the user in UTC millisecondsTimestamp
modifiedByUnique identifier of the user who modified the user details lastString
modifiedAtLast modified time of the user in UTC millisecondsTimestamp
deletedBoolean value representing the user deletion(True=Deleted, False= Not Deleted)boolean
deletedAtDeleted time of the userTimestamp
deletedBoolean value representing the alert deletion(True=Deleted, False= Not Deleted)boolean
mutedBoolean value representing whether the alert is muted of not(True=Muted, False= Not Muted)boolean
ruleSetsFor Azuga internal useSet<RuleSetVO>
alertRemindersFor Azuga internal useSet<AlertReminderVO>
alertIdUnique identifier representing the alertString
vehicleIdUnique identifier representing the vehicleString
createdAtCreation time of the vehicles in UTC millisecondsTimestamp
nameName of the vehicleString
alertToTrackeeMappingIdUnique identifier representing the mapping between the alert and vehiclebyte[]
assetSensorsFor Azuga internal useSet<TemperatureSensorDTO>
defaultAlertFor Azuga internal useboolean
groupAlertBoolean value representing whether the alert is a group alert or not
True = It is a group alert
False = It is not a group alert
boolean
alertTimeConfigs

This field gives you information about whether the alert is set to trigger only during a specific interval of time. The key field day=1 implies that it is Sunday. Similarly, 2 for Monday and 3 for Tuesday and so on.

{
"customerId": 2175,
"day": 3,
"startTime": 0,
"endTime": 1435,
"createdAt": 1517233798000,
"deletedAt": null,
"deleted": 0,
"id": "YGtzJoZxQAGVZU34aq4EYg=="
},
{
"customerId": 2175,
"day": 4,
"startTime": 0,
"endTime": 1435,
"createdAt": 1517233798000,
"deletedAt": null,
"deleted": 0,
"id": "t2x8Ia9NTTi0vyr0IACRaw=="
}
}

Set<AlertTimeConfig>
alertToDeviceMappingFor Azuga Internal useSet<AlertToDeviceMappingVO>
smsNotificationBoolean value representing the alert is configured to provide smsNotificationboolean
emailNotificationBoolean value representing the alert is configured to provide emailNotificationboolean
webNotificationBoolean value representing the alert is configured to provide web notification(Banner)boolean
mobileNotificationBoolean value representing the alert is configured to provide mobile(AFM) notificationboolean
soundNotificationBoolean value representing the alert is configured to notify with sound.boolean
soundIdThe unique id representing the sound notifiersInteger
emailAdminBoolean value representing the alert is configured to email alerts to admin or notboolean
emailDriverBoolean value representing the alert is configured to email alerts to drivers or notboolean
reportFilterFor Azuga internal useString
roleIdsUnique identifier of the role which is configured in ‘Group Admin with Role’ under send email sectionString
roleIdNamesName of the roles which is configured in ‘Group Admin with Role’ under send email sectionString
alertToAssetSensorMappingFor Azuga internal useSet<AlertToAssetSensorMappingDTO>
customAlertHoursThe time in hours to send the alert summary
0 = Trigger the alert instantly
1 = Trigger the alert every 1 hour
Integer
timeForSummaryFor Azuga internal useString
startTimeForSummaryStart time for summary alert. This is depended on the value of mode.String
buzzerIntensityIntensity of the buzzer
53 - High
37 - Medium
21 - Low
5 - Off
Integer
errorThe description of the errorList<Error>
recordsFilteredNumber of records returnedInteger
Body Params
string

The field/key name to be searched for. Searchkey: alertName implies that the search needs to be performed on alertName field

string

The string value to be searched.

boolean

Set this field with a boolean value if the result data needs to be ordered based on a key

boolean

Boolean indicates whether you are performing a search operation

boolean

Boolean indicates whether the result data needs to be sorted

boolean

Boolean value representing the result data needs to be in the new format. The new format is a performance enhancer.

boolean

Boolean representing whether the regular expression needs to be enabled. Set this field to true if you are using regex in search string field.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json